
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.lava.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.lava.item.MyLavaSwordItem;
import net.mcreator.lava.item.LightningSwordItem;
import net.mcreator.lava.item.LavaSpadeItem;
import net.mcreator.lava.item.LavaPickaxeItem;
import net.mcreator.lava.item.LavaIngotItem;
import net.mcreator.lava.item.LavaIngotArmorItem;
import net.mcreator.lava.item.LavaHoeItem;
import net.mcreator.lava.item.LavaAxeItem;
import net.mcreator.lava.item.IgneousingotItem;
import net.mcreator.lava.item.IgneousSwordItem;
import net.mcreator.lava.item.IgneousSpadeItem;
import net.mcreator.lava.item.IgneousPickaxeItem;
import net.mcreator.lava.item.IgneousItem;
import net.mcreator.lava.item.IgneousHoeItem;
import net.mcreator.lava.item.IgneousAxeItem;
import net.mcreator.lava.LavaMod;

public class LavaModItems {
	public static final DeferredRegister<Item> REGISTRY = DeferredRegister.create(ForgeRegistries.ITEMS, LavaMod.MODID);
	public static final RegistryObject<Item> IGNEOUS_ROCK = block(LavaModBlocks.IGNEOUS_ROCK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final RegistryObject<Item> MY_LAVA_SWORD = REGISTRY.register("my_lava_sword", () -> new MyLavaSwordItem());
	public static final RegistryObject<Item> IGNEOUS_SWORD = REGISTRY.register("igneous_sword", () -> new IgneousSwordItem());
	public static final RegistryObject<Item> LAVA_INGOT = REGISTRY.register("lava_ingot", () -> new LavaIngotItem());
	public static final RegistryObject<Item> IGNEOUSINGOT = REGISTRY.register("igneousingot", () -> new IgneousingotItem());
	public static final RegistryObject<Item> LAVA_PICKAXE = REGISTRY.register("lava_pickaxe", () -> new LavaPickaxeItem());
	public static final RegistryObject<Item> IGNEOUS_PICKAXE = REGISTRY.register("igneous_pickaxe", () -> new IgneousPickaxeItem());
	public static final RegistryObject<Item> LAVA_HOE = REGISTRY.register("lava_hoe", () -> new LavaHoeItem());
	public static final RegistryObject<Item> IGNEOUS_HOE = REGISTRY.register("igneous_hoe", () -> new IgneousHoeItem());
	public static final RegistryObject<Item> LAVA_AXE = REGISTRY.register("lava_axe", () -> new LavaAxeItem());
	public static final RegistryObject<Item> IGNEOUS_AXE = REGISTRY.register("igneous_axe", () -> new IgneousAxeItem());
	public static final RegistryObject<Item> LAVA_SPADE = REGISTRY.register("lava_spade", () -> new LavaSpadeItem());
	public static final RegistryObject<Item> IGNEOUS_SPADE = REGISTRY.register("igneous_spade", () -> new IgneousSpadeItem());
	public static final RegistryObject<Item> LAVA_INGOT_ARMOR_HELMET = REGISTRY.register("lava_ingot_armor_helmet",
			() -> new LavaIngotArmorItem.Helmet());
	public static final RegistryObject<Item> LAVA_INGOT_ARMOR_CHESTPLATE = REGISTRY.register("lava_ingot_armor_chestplate",
			() -> new LavaIngotArmorItem.Chestplate());
	public static final RegistryObject<Item> LAVA_INGOT_ARMOR_LEGGINGS = REGISTRY.register("lava_ingot_armor_leggings",
			() -> new LavaIngotArmorItem.Leggings());
	public static final RegistryObject<Item> LAVA_INGOT_ARMOR_BOOTS = REGISTRY.register("lava_ingot_armor_boots",
			() -> new LavaIngotArmorItem.Boots());
	public static final RegistryObject<Item> LIGHTNING_SWORD = REGISTRY.register("lightning_sword", () -> new LightningSwordItem());
	public static final RegistryObject<Item> IGNEOUS_HELMET = REGISTRY.register("igneous_helmet", () -> new IgneousItem.Helmet());
	public static final RegistryObject<Item> IGNEOUS_CHESTPLATE = REGISTRY.register("igneous_chestplate", () -> new IgneousItem.Chestplate());
	public static final RegistryObject<Item> IGNEOUS_LEGGINGS = REGISTRY.register("igneous_leggings", () -> new IgneousItem.Leggings());
	public static final RegistryObject<Item> IGNEOUS_BOOTS = REGISTRY.register("igneous_boots", () -> new IgneousItem.Boots());

	private static RegistryObject<Item> block(RegistryObject<Block> block, CreativeModeTab tab) {
		return REGISTRY.register(block.getId().getPath(), () -> new BlockItem(block.get(), new Item.Properties().tab(tab)));
	}
}
